{
  "extends": "tsconfig/base.json",
  "compilerOptions": {
    "baseUrl": ".",
    "checkJs": true,
    "importsNotUsedAsValues": "error",
    "preserveValueImports": true,
    "strict": false,
    "types": ["vite/client"],
    "paths": {
      "assets/*": ["./src/assets/*"],
      "generated/*": ["./src/generated/*"],
      "routes/*": ["./src/routes/*"],
      "components/*": ["./src/components/*"],
      "constants/*": ["./src/constants/*"],
      "utils/*": ["./src/utils/*"],
      "stores/*": ["./src/stores/*"],
      "types/*": ["./src/types/*"],
      "icons/*": ["./src/icons/*"],
      "layouts/*": ["./src/layouts/*"],
      "auth/*": ["./src/auth/*"],
      "src/*": ["./src/*"]
    }
  },
  "include": ["src/**/*.d.ts", "src/**/*.ts", "src/**/*.js", "src/**/*.svelte"],
  "references": [{ "path": "./tsconfig.node.json" }]
}
